Debian Bug report logs - #698457
ITP: libtie-cycle-perl -- module for cycling through a list of values via a scalar

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: gregor herrmann <gregoa@debian.org>

Date: Fri, 18 Jan 2013 20:48:01 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: wishlist

Fixed in version libtie-cycle-perl/1.17-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#698457; Package wnpp. (Fri, 18 Jan 2013 20:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Fri, 18 Jan 2013 20:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libtie-cycle-perl -- module for cycling through a list of values via a scalar
Date: Fri, 18 Jan 2013 21:45:50 +0100
Package: wnpp
Owner: gregor herrmann <gregoa@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libtie-cycle-perl
  Version         : 1.17
  Upstream Author : brian d foy <bdfoy@cpan.org>
* URL             : https://metacpan.org/release/Tie-Cycle/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : module for cycling through a list of values via a scalar

You use Tie::Cycle to go through a list over and over again. Once you get to
the end of the list, you go back to the beginning. You don't have to worry
about any of this since the magic of tie does that for you.

The tie takes an array reference as its third argument. The tie should
succeed unless the argument is not an array reference. Previous versions
required you to use an array that had more than one element (what's the
pointing of looping otherwise?), but I've removed that restriction since the
number of elements you want to use may change depending on the situation.

During the tie, this module makes a shallow copy of the array reference. If
the array reference contains references, and those references are changed
after the tie, the elements of the cycle will change as well. See the
included test.pl script for an example of this effect.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 19 Jan 2013 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 30 Jan 2013 11:03:08 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Wed, 30 Jan 2013 11:03:08 GMT) Full text and rfc822 format available.

Message #12 received at 698457-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 698457-close@bugs.debian.org
Subject: Bug#698457: fixed in libtie-cycle-perl 1.17-1
Date: Wed, 30 Jan 2013 11:00:04 +0000
Source: libtie-cycle-perl
Source-Version: 1.17-1

We believe that the bug you reported is fixed in the latest version of
libtie-cycle-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698457@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libtie-cycle-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 18 Jan 2013 22:01:03 +0100
Source: libtie-cycle-perl
Binary: libtie-cycle-perl
Architecture: source all
Version: 1.17-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libtie-cycle-perl - module for cycling through a list of values via a scalar
Closes: 698457
Changes: 
 libtie-cycle-perl (1.17-1) unstable; urgency=low
 .
   * Initial release (closes: #698457).
Checksums-Sha1: 
 47073a0862bff3253ed111db8d74c765452089b1 2089 libtie-cycle-perl_1.17-1.dsc
 075cfdc32f721ba5821cfeeb9a65e0bb78c7839b 3912 libtie-cycle-perl_1.17.orig.tar.gz
 ab762b0f28959b7d21f0e9eec8bd8f4380a7482a 1933 libtie-cycle-perl_1.17-1.debian.tar.gz
 ac1f9739a244f1c91ed98162bbb46215c04365de 7526 libtie-cycle-perl_1.17-1_all.deb
Checksums-Sha256: 
 09aa3b21b2100c20350e113b4240bf7dfcc8825c519b0af7a3ca44f7a98b72b1 2089 libtie-cycle-perl_1.17-1.dsc
 4c1749cff55a57a670f6f6832b5c32b59ddb660ffc5cb0e60a091810627ae5a5 3912 libtie-cycle-perl_1.17.orig.tar.gz
 5fb4816ce73ed9de68d24b20274b0005d17e450d9f70e4216ca7d4b4a4418340 1933 libtie-cycle-perl_1.17-1.debian.tar.gz
 829e075face7a917f731eabe1482aeb138f19fe1258e39a679675675754cda43 7526 libtie-cycle-perl_1.17-1_all.deb
Files: 
 9ae0509ca016148f36ead8f21702ffe9 2089 perl optional libtie-cycle-perl_1.17-1.dsc
 039757b93477da3471342936bb89bfe7 3912 perl optional libtie-cycle-perl_1.17.orig.tar.gz
 d67e0397c90ddd7cfee85e01c1847856 1933 perl optional libtie-cycle-perl_1.17-1.debian.tar.gz
 5c41a430b1ba84b96584861ce6c74b57 7526 perl optional libtie-cycle-perl_1.17-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ+bguAAoJELs6aAGGSaoGKeAP/3Tt0rhtkq1MJ1v8vSOkH1KL
pS9Gt5clZWyqOPy6cm6x+8fra3fzmNzG18kMkKvnk/+EplfgpNKMBj9qsmuC1XGC
bWRHeMuoHfgFWgxwGpuG9tGcx7wXyh7rGEBtIXrLHD+QT5c4MSJdKbh3LB4ogPpd
OKIl086QdUCsULp6juH5IXLjpt4KhroP5xPCO3Ix2HHhKhAzYJG56B8mNWmpHw7G
jUTrMp5vrBlBwfdg/kQvvdqOv+BxW5AmQaeKBIOKlOBOIigO3mTC6zRz/UJujpBw
ObbNT1St6rstRgVjK8Yd81Nv/o8KLdGYam/pChzdwMHBn9iZjks3cqDigTwFrebp
/253OcIuGMC37O2eyAPYbRBk8VA4Cb12gZNrIAvJNXyeksqvMGuzgkbM0US42FbI
gnYmbPn6sS8S/hvea4rT124RW60fRb6KZ80ZGR0nHwTeJOA/FDDLOQ3Ns+baEnnZ
+1fAAIgYAYD6gWJop4epeo6HLfOgQIl31+CpC5XgXXkVylIjPyUuXZLHdj3k+gGb
4/7C6cB8c+vtiwgulZwLx7DdMchKz1IqM3Sp7mX6Wg/TGgdgo1b9CPCCftCNS2Mx
hSrQRtPA+yxHtDxRpQctN6RUhSO3C1cKNf4HVptU2sdnMfUdTbPeMGcG2v/lqdYI
sGNhICGJFGlD3wM7SD0V
=dZt1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Feb 2013 07:27:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:36:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.